%define build_with_ijs_support 1
%define cups_serverbin %{_exec_prefix}/lib/cups

Name:           gutenprint
Summary:        Printer Drivers Package
Version:        5.2.5
Release:        2%{?dist}
Group:          System Environment/Base
URL:            http://gimp-print.sourceforge.net/
Source0:        http://dl.sf.net/gimp-print/gutenprint-%{version}.tar.bz2
# Post-install script to update foomatic PPDs.
Source1:        gutenprint-foomaticppdupdate
# Post-install script to update CUPS native PPDs.
Source2:        cups-genppdupdate.py.in
Patch0:         gutenprint-menu.patch
Patch1:         gutenprint-O6.patch
Patch2:         gutenprint-selinux.patch
Patch3:         gutenprint-brother-hl-2040.patch
License:        GPLv2+
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  cups-libs >= 1.1.22-0.rc1.9.10, cups >= 1.1.22-0.rc1.9.10 
BuildRequires:  gettext-devel,cups-devel,pkgconfig,gimp-devel
BuildRequires:  libtiff-devel,libjpeg-devel,libpng-devel
BuildRequires:  foomatic,gtk2-devel
%if %{build_with_ijs_support}
BuildRequires: ghostscript-devel
%endif
BuildRequires:  gimp
BuildRequires:  chrpath
Obsoletes: gimp-print-utils <= 4.2.7-25
Provides: gimp-print-utils = 4.2.7-25

## NOTE ##
# The README file in this package contains suggestions from upstream
# on how to package this software. I'd be inclined to follow those
# suggestions unless there's a good reason not to do so.

%description
Gutenprint is a package of high quality printer drivers for Linux, BSD,
Solaris, IRIX, and other UNIX-alike operating systems.
Gutenprint was formerly called Gimp-Print.

%package doc
Summary:        Documentation for gutenprint
Group:          Documentation

%description doc
Documentation for gutenprint.

%package devel
Summary:        Library development files for gutenprint
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Obsoletes: gimp-print-devel <= 4.2.7-25
Provides: gimp-print-devel = 4.2.7-25

%description devel
This package contains headers and libraries required to build applications that
uses gutenprint package.

%package plugin
Summary:        GIMP plug-in for gutenprint
Group:          System Environment/Base
Requires:       %{name} = %{version}-%{release}
Requires:       gimp
Obsoletes: gimp-print-plugin <= 4.2.7-25
Provides:  gimp-print-plugin = 4.2.7-25

%description plugin
This package contains the gutenprint GIMP plug-in.

%package foomatic
Summary:        Foomatic printer database information for gutenprint
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
Requires(post): foomatic
Requires(post): system-config-printer-libs
Requires:       foomatic-db
Obsoletes: gimp-print <= 4.2.7-25
Provides: gimp-print = 4.2.7-25

%description  foomatic
This package contains a database of printers,printer drivers,
and driver descriptions.

%package extras
Summary:        Sample test pattern generator for gutenprint-devel
Group:          Applications/Publishing
Requires:       %{name} = %{version}-%{release}

%description extras
This package contains test pattern generator and the sample test pattern
that is used by gutenprint-devel package.

%package cups
Summary:        CUPS drivers for Canon, Epson, HP and compatible printers
Group:          Applications/Publishing
Requires:       cups >= 1.2.1-1.7
Requires:       %{name} = %{version}-%{release}
Obsoletes: gimp-print-cups < 4.2.7-26
Provides: gimp-print-cups = %{version}-%{release}
Obsoletes: gutenprint-ppds-cs < 5.0.0-8
Provides: gutenprint-ppds-cs = %{version}-%{release}
Obsoletes: gutenprint-ppds-da < 5.0.0-8
Provides: gutenprint-ppds-da = %{version}-%{release}
Obsoletes: gutenprint-ppds-de < 5.0.0-8
Provides: gutenprint-ppds-de = %{version}-%{release}
Obsoletes: gutenprint-ppds-el < 5.0.0-8
Provides: gutenprint-ppds-el = %{version}-%{release}
Obsoletes: gutenprint-ppds-en_GB < 5.0.0-8
Provides: gutenprint-ppds-en_GB = %{version}-%{release}
Obsoletes: gutenprint-ppds-es < 5.0.0-8
Provides: gutenprint-ppds-es = %{version}-%{release}
Obsoletes: gutenprint-ppds-fr < 5.0.0-8
Provides: gutenprint-ppds-fr = %{version}-%{release}
Obsoletes: gutenprint-ppds-hu < 5.0.0-8
Provides: gutenprint-ppds-hu = %{version}-%{release}
Obsoletes: gutenprint-ppds-ja < 5.0.0-8
Provides: gutenprint-ppds-ja = %{version}-%{release}
Obsoletes: gutenprint-ppds-nb < 5.0.0-8
Provides: gutenprint-ppds-nb = %{version}-%{release}
Obsoletes: gutenprint-ppds-nl < 5.0.0-8
Provides: gutenprint-ppds-nl = %{version}-%{release}
Obsoletes: gutenprint-ppds-pl < 5.0.0-8
Provides: gutenprint-ppds-pl = %{version}-%{release}
Obsoletes: gutenprint-ppds-pt < 5.0.0-8
Provides: gutenprint-ppds-pt = %{version}-%{release}
Obsoletes: gutenprint-ppds-sk < 5.0.0-8
Provides: gutenprint-ppds-sk = %{version}-%{release}
Obsoletes: gutenprint-ppds-sv < 5.0.0-8
Provides: gutenprint-ppds-sv = %{version}-%{release}
Obsoletes: gutenprint-ppds-zh_TW < 5.0.0-8
Provides: gutenprint-ppds-zh_TW = %{version}-%{release}

%description cups
This package contains native CUPS support for a wide range of Canon,
Epson, HP and compatible printers.

%prep
%setup -q -n %{name}-%{version}
# Fix menu placement of GIMP plugin.
%patch0 -p1 -b .menu
# Don't use -O6 compiler option.
%patch1 -p1 -b .O6
# Restore file contexts when updating PPDs.
%patch2 -p1 -b .selinux
# Don't claim support for Brother HL-2040.
%patch3 -p1 -b .brother-hl-2040

cp %{SOURCE2} src/cups/cups-genppdupdate.in

%build
%configure --disable-static --disable-dependency-tracking  \
           --with-foomatic --with-ghostscript \
           --enable-samples --enable-escputil \
           --enable-test --disable-rpath \
           --enable-cups-1_2-enhancements \
           --disable-cups-ppds \
           --enable-simplified-cups-ppds

make %{?_smp_mflags}
 
%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_sbindir}
install -m755 %{SOURCE1} %{buildroot}%{_sbindir}

rm -rf %{buildroot}%{_datadir}/gutenprint/doc
rm -f %{buildroot}%{_datadir}/foomatic/kitload.log
rm -rf %{buildroot}%{_libdir}/gutenprint/5.2/modules/*.la
rm -f %{buildroot}%{_sysconfdir}/cups/command.types

%find_lang gutenprint

%if %{build_with_ijs_support}
%else
rm -f %{buildroot}%{_mandir}/man1/ijsgutenprint.1*
%endif

# Fix up rpath.  If you can find a way to do this without resorting
# to chrpath, please let me know!
for file in \
  %{buildroot}%{_sbindir}/cups-genppd.5.2 \
  %{buildroot}%{_libdir}/gimp/*/plug-ins/* \
  %{buildroot}%{_libdir}/*.so.* \
  %{buildroot}%{cups_serverbin}/driver/* \
  %{buildroot}%{cups_serverbin}/filter/* \
  %{buildroot}%{_bindir}/*
do
  chrpath --delete ${file}
done


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post cups
/usr/sbin/cups-genppdupdate >/dev/null 2>&1 || :
/sbin/service cups reload >/dev/null 2>&1 || :
exit 0


%files -f gutenprint.lang
%defattr(-, root, root,-)
%{_bindir}/escputil
%{_mandir}/man1/escputil.1*
%{_bindir}/ijsgutenprint.5.2
%if %{build_with_ijs_support}
%{_mandir}/man1/ijsgutenprint.1*
%endif
%{_datadir}/gutenprint
%{_libdir}/*.so.*
%{_libdir}/gutenprint/

# For some reason the po files are needed as well.
%{_datadir}/locale/*/gutenprint_*.po

%files doc
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS README doc/FAQ.html doc/gutenprint-users-manual.odt doc/gutenprint-users-manual.pdf

%files devel
%defattr(-,root,root,-)
%doc ChangeLog doc/developer/reference-html doc/developer/gutenprint.pdf
%doc doc/gutenprint doc/gutenprintui2
%{_includedir}/gutenprint/
%{_includedir}/gutenprintui2/
%{_libdir}/*.so
%{_libdir}/pkgconfig/gutenprint.pc
%{_libdir}/pkgconfig/gutenprintui2.pc
%exclude %{_libdir}/*.la

%files plugin
%defattr(-, root, root,-)
%{_libdir}/gimp/*/plug-ins/gutenprint

%files foomatic
%defattr(-, root, root,-)
%doc 
%{_sbindir}/gutenprint-foomaticppdupdate
%{_datadir}/foomatic/db/source/driver/*
%{_datadir}/foomatic/db/source/opt/*

%files extras
%defattr(-, root, root,-)
%doc
%{_bindir}/testpattern
%{_datadir}/gutenprint/samples/*

%files cups
%defattr(-, root, root,-)
%doc
%{_datadir}/cups/calibrate.ppm
%{cups_serverbin}/filter/*
%{cups_serverbin}/driver/*
%{_bindir}/cups-calibrate
%{_sbindir}/cups-genppd*
%{_mandir}/man8/cups-calibrate.8*
%{_mandir}/man8/cups-genppd*.8*

%post foomatic
/bin/rm -f /var/cache/foomatic/*
if [ $1 -eq 2 ]; then
  %{_sbindir}/gutenprint-foomaticppdupdate %{version} >/dev/null 2>&1 || :
fi

%postun foomatic
/bin/rm -f /var/cache/foomatic/*


%changelog

